Subject: bug#18412: 24.3.93 regression: undo boundary inserted by delete-selection-mode (CUA)

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 09 Sep 2020 11:50:56 +0200

David Reitter <[email-masked]> writes:

> This is a regression in the 24.4 pretest compared to 24.3.
>
> M-x cua-mode
> (enter and) select a word “hello", e.g., via double-click
> enter single char, e.g., “x”
> C-_   (undo)
>
> In Emacs 24.3, the undo will restore “hello”.
>
> In Emacs 24.3.93 pretest, the undo will only delete “x”, but not restore “hello”.

Stefan Monnier <[email-masked]> writes:

> Indeed, that's a difference between delete-selection-mode and cua's
> earlier reimplementation of the feature.
>
> To the extent that noone complained about it for delete-selection-mode,
> I think this bug is not super-urgent to fix.  IOW, we should take the
> time to think how to fix it right.

This was six years ago, and cua-mode still works the same way, so at
this point, I think changing the behaviour now would probably be a
regression?

So I'm closing this bug as a "wontfix".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no